<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\KursUebersicht\Detailsreiter\Honorar\MeppenVHS\HonorarPdf;

use Kufer\Web\Classes\ExportAdapter\ExpAdditionalVariables;

class HonorarAbrechnungDialogView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'dozent/kursuebersicht/detailsreiter/honorarabrechung_dialog_meppen_vhs.sgt';
  }

  protected function getDefaultDataModulArray()
  {
    $kurs = $this->viewModel->kurs;

    return array($kurs);
  }

  protected function getDefaultExportAdapter()
  {
    return new ExpAdditionalVariables(new \ExportKurse(), array(
      'fahrkosten' => $this->viewModel->fahrkosten,
      'spesen' => $this->viewModel->spesen,
      'bemerkungen' => $this->viewModel->bemerkungen
    ));
  }

  protected function getBodyDataModulArray()
  {
    return $this->viewModel->kurstage;
  }

  public function show()
  {
    $result = '';
    $result .= $this->getHeader();
    $result .= $this->getBody();
    $result .= $this->getFooter();

    return $result;
    
    
  }
}